Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: Issues with recent updates

  1. #1
    Join Date
    Dec 2015
    Posts
    16

    Default Issues with recent updates

    Hi,

    I am having 2 problems with updating my laptop. I'm running KDE. My laptop is the 2015 Dell XPS 13 with Broadcom Wifi.

    Firstly, it is requesting that I update NetworkManager. When I do this, Networkmanager connects to wireless and wired networks but it does not connect to the internet. When I open my web browser, it says "Server not found". The packages it is updating are:
    NetworkManager-branding-upstream (1.4.0-287.1)
    NetworkManager-lang (1.4.0-287.1)
    NetworkManager-vpnc-lang (1.0.8-85.1)
    NetworkManager-vpnc (1.0.8-85.1)
    NetworkManager (1.4.0-287.1)

    The second problem is that on the GUI software updater, there are updates showing which cannot be updated because dependencies cannot be resolved. These do not show up while running zypper up from the Konsole. These packages are:
    opensuse-2016-1034
    opensuse-2016-724
    opensuse-2016-972
    opensuse-2016-997

    Please could someone advise me on what causes these problems and how to fix, or to help me debug the problem further.

    Thank you in advance

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,274
    Blog Entries
    1

    Default Re: Issues with recent updates

    The NetworkManager package version is not consistent with that currently provided by the update repo for openSUSE Leap 42.1 , and I don't have 'NetworkManager-branding-upstream' either.

    For reference, I have
    Code:
    # rpm -qa|grep Network
    NetworkManager-1.0.6-10.1.x86_64
    libKF5NetworkManagerQt6-5.21.0-12.1.x86_64
    NetworkManager-vpnc-1.0.6-1.2.x86_64
    NetworkManager-vpnc-lang-1.0.6-1.2.noarch
    NetworkManager-openvpn-1.0.6-3.1.x86_64
    NetworkManager-openvpn-lang-1.0.6-3.1.noarch
    NetworkManager-lang-1.0.6-10.1.noarch
    NetworkManager-pptp-lang-1.0.6-1.1.noarch
    NetworkManager-pptp-1.0.6-1.1.x86_64
    libQt5Network5-5.5.1-10.1.x86_64
    You should show your configured repos so that others can advise further
    Code:
    zypper lr -d

  3. #3
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,274
    Blog Entries
    1

    Default Re: Issues with recent updates

    BTW, please post any requested output within CODE tags (refer to the '#' button in the forum editor). It preserves the formatting and makes output easier to read.

  4. #4
    Join Date
    Dec 2015
    Posts
    16

    Default Re: Issues with recent updates

    Thanks for your reply. here is the list of repos I'm subscribed to.

    Code:
      | Alias                               | Name                                           | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                                      | Service
    ---+-------------------------------------+------------------------------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------------------------------------+--------
     1 | download.opensuse.org-mozilla       | openSUSE BuildService - Mozilla                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_42.1/                                    |        
     2 | download.opensuse.org-non-oss       | Main Repository (NON-OSS)                      | No      | ----      | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                                        |        
     3 | download.opensuse.org-oss           | Main Repository (OSS)                          | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                                            |        
     4 | download.opensuse.org-oss_1         | Main Repository (Sources)                      | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/                                     |        
     5 | download.opensuse.org-python        | openSUSE BuildService - devel:languages:python | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/python/openSUSE_Leap_42.1/                   |        
     6 | http-download.opensuse.org-0143420c | home:X0F:branches:network                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/X0F:/branches:/network/openSUSE_Leap_42.1/               |        
     7 | http-download.opensuse.org-110ebf90 | X11:Utilities                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/Utilities/openSUSE_Leap_42.1/                             |        
     8 | http-download.opensuse.org-159ce921 | network                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/network/openSUSE_Leap_42.1/                                    |        
     9 | http-download.opensuse.org-4020baca | home:X0F:branches:multimedia                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/X0F:/branches:/multimedia/openSUSE_Leap_42.1/            |        
    10 | http-download.opensuse.org-4160191b | Education                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_Leap_42.1/                                  |        
    11 | http-download.opensuse.org-79547a6c | multimedia:libs                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_Leap_42.1/                           |        
    12 | http-download.opensuse.org-a6dc250e | system:packagemanager                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/system:/packagemanager/openSUSE_Leap_42.1/                     |        
    13 | http-download.opensuse.org-ba56ea5a | Archiving                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Archiving/openSUSE_Leap_42.1/                                  |        
    14 | http-download.opensuse.org-c14ca4db | multimedia:apps                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/apps/openSUSE_Leap_42.1/                           |        
    15 | http-download.opensuse.org-c6096108 | home:leineweb                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/leineweb/openSUSE_Leap_42.1/                             |        
    16 | http-download.opensuse.org-cc050be1 | home:X0F                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/X0F/openSUSE_Leap_42.1/                                  |        
    17 | http-download.opensuse.org-d7c0c149 | KDE:Extra                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/                                 |        
    18 | http-download.opensuse.org-dbbc7ced | home:MasterPatricko                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/MasterPatricko/openSUSE_Leap_42.1/                       |        
    19 | http-download.opensuse.org-ddab86bf | openSUSE:Leap:42.1                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Leap:/42.1/standard/                                 |        
    20 | http-download.opensuse.org-e20d48ad | home:Sauerland                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_42.1/                            |        
    21 | http-download.opensuse.org-e28a2ab4 | KDE:Frameworks5                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/                           |        
    22 | http-download.opensuse.org-e2f71f5a | KDE:Qt5                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.1/                                   |        
    23 | http-download.opensuse.org-ee36288f | home:wolfi323:branches:KDE:Frameworks5         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_42.1/ |        
    24 | http-download.opensuse.org-efc25595 | home:deltafox                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/deltafox/openSUSE_Leap_42.1/                             |        
    25 | http-download.opensuse.org-fc21def6 | home:mborodin:security                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/mborodin:/security/openSUSE_Leap_42.1/                   |        
    26 | http-opensuse-guide.org-0ab91922    | libdvdcss repository                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.1/                                                       |        
    27 | http-packman.inode.at-831735bc      | Packman Repository                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.1/                                                         |        
    28 | openSUSE_BuildService_-_Games       | openSUSE BuildService - Games                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/games/openSUSE_Leap_42.1/                                      |        
    29 | packman.inode.at-suse               | Packman Repository                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.1/                                                         |        
    30 | repo-debug                          | openSUSE-Leap-42.1-Debug                       | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/                                      |        
    31 | repo-debug-update-non-oss           | openSUSE-Leap-42.1-Update-Debug-Non-Oss        | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/42.1/non-oss/                                             |        
    32 | repo-source                         | openSUSE-Leap-42.1-Source                      | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/                                     |        
    33 | repo-update                         | openSUSE-Leap-42.1-Update                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                                                       |        
    34 | repo-update-non-oss                 | openSUSE-Leap-42.1-Update-Non-Oss              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/                                                   |        
    james@linux-hdtx:~>

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,774
    Blog Entries
    14

    Default Re: Issues with recent updates

    What are all these extra repos for? I can't imagine that having experimental/development repos active is contributing to a stable experience. If you want the 'latest and greatest', there's openSUSE Tumbleweed, which, like Leap and it's updates, is tested in openQA. Enabling extra repos breaks that completely. My 2 cents.

    Would you have had nothing but the distro repos and Packman, you'd probably have had just another update session
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6
    Join Date
    Dec 2015
    Posts
    16

    Default Re: Issues with recent updates

    Quote Originally Posted by Knurpht View Post
    What are all these extra repos for? I can't imagine that having experimental/development repos active is contributing to a stable experience. If you want the 'latest and greatest', there's openSUSE Tumbleweed, which, like Leap and it's updates, is tested in openQA. Enabling extra repos breaks that completely. My 2 cents.

    Would you have had nothing but the distro repos and Packman, you'd probably have had just another update session
    I've probably added most of them when I've downloaded software from the 1-click installer. It's not trying to get the latest stuff rather, more things which aren't in the main repositories. I guess now would be a good time to review them to make sure that I am still using the software that comes from them.

  7. #7

    Default Re: Issues with recent updates

    Hi, it appears that this version of NetworkManager is coming from the home:X0F:branches:network repository, which has the same version as the GNOME:Factory repository (which is even newer than the version in Tumbleweed!).

    It's most likely that NetworkManager has broken due to a recent update from 1.0.12 to 1.4.0. Try removing that repository first:

    Code:
    sudo zypper removerepo http-download.opensuse.org-0143420c
    Let's remove some duplicate repositories while we're at it:

    Code:
    sudo zypper removerepo http-packman.inode.at-831735bc
    sudo zypper removerepo http-download.opensuse.org-ddab86bf
    Then to switch back to the default NetworkManager packages:

    Code:
    sudo zypper install --from download.opensuse.org-oss --oldpackage NetworkManager NetworkManager-lang NetworkManager-vpnc-lang NetworkManager-vpnc
    You should get some message like the following (not exactly but close enough):

    Code:
    Problem: NetworkManager-branding-upstream-1.4.0-287.1.noarch requires NetworkManager = 1.4.0, but this requirement cannot be provided
     Solution 1: deinstallation of NetworkManager-branding-upstream-1.4.0-287.1.noarch
     Solution 2: do not install NetworkManager-1.0.6-1.2.x86_64
     Solution 3: break NetworkManager-branding-upstream-1.4.0-287.1.noarch by ignoring some of its dependencies
    If it is shown in the same way on your computer, select Solution 1.

    Please let us know if you have any issues. Thank you!

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,990

    Default Re: Issues with recent updates

    Quote Originally Posted by tfh1 View Post
    I've probably added most of them when I've downloaded software from the 1-click installer. It's not trying to get the latest stuff rather, more things which aren't in the main repositories. I guess now would be a good time to review them to make sure that I am still using the software that comes from them.
    Apparently you somewhere missed the recommendation to disable a repo added by a 1 click install (and only to enable it again when you want a newer version and nothing more, from the particular package(s) you installed from it). IIRC, it is asked for during the 1 click install process.
    Henk van Velden

  9. #9
    Join Date
    Dec 2015
    Posts
    16

    Default Re: Issues with recent updates

    Quote Originally Posted by qantas94heavy View Post
    Hi, it appears that this version of NetworkManager is coming from the home0F:branches:network repository, which has the same version as the GNOME:Factory repository (which is even newer than the version in Tumbleweed!).

    It's most likely that NetworkManager has broken due to a recent update from 1.0.12 to 1.4.0. Try removing that repository first:

    Code:
    sudo zypper removerepo http-download.opensuse.org-0143420c
    Let's remove some duplicate repositories while we're at it:

    Code:
    sudo zypper removerepo http-packman.inode.at-831735bc
    sudo zypper removerepo http-download.opensuse.org-ddab86bf
    Then to switch back to the default NetworkManager packages:

    Code:
    sudo zypper install --from download.opensuse.org-oss --oldpackage NetworkManager NetworkManager-lang NetworkManager-vpnc-lang NetworkManager-vpnc
    You should get some message like the following (not exactly but close enough):

    Code:
    Problem: NetworkManager-branding-upstream-1.4.0-287.1.noarch requires NetworkManager = 1.4.0, but this requirement cannot be provided
     Solution 1: deinstallation of NetworkManager-branding-upstream-1.4.0-287.1.noarch
     Solution 2: do not install NetworkManager-1.0.6-1.2.x86_64
     Solution 3: break NetworkManager-branding-upstream-1.4.0-287.1.noarch by ignoring some of its dependencies
    If it is shown in the same way on your computer, select Solution 1.

    Please let us know if you have any issues. Thank you!

    Thank you! This has solved the NetworkManager problem.

    I still have an issue with the GUI updater. The exact message that it gives is
    Code:
    Dependency resolution failed A package dependency could not be found.
    More information is available in the detailed log
    These packages aren't showing in any repositories when I search them by those names using zypper. I don't know where the log file is located to be able to show the log.

  10. #10
    Join Date
    Dec 2015
    Posts
    16

    Default Re: Issues with recent updates

    Quote Originally Posted by hcvv View Post
    Apparently you somewhere missed the recommendation to disable a repo added by a 1 click install (and only to enable it again when you want a newer version and nothing more, from the particular package(s) you installed from it). IIRC, it is asked for during the 1 click install process.
    I've just tried using the 1 click install option and I could not see that recommendation. It's possible that I dismissed a pop up and asked it not to be shown again in the past. The "remain subscribed to repositories" check box was automatically check by default for me which might explain it.

    Is there a way to list the packages that have been installed from a given repository so that I can review these and unsubscribe that I might not need?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •